org.modeshape.jboss.subsystem

## Class IndexProviderWriteAttributeHandler

- java.lang.Object
- - org.jboss.as.controller.AbstractWriteAttributeHandler<Void>
  - - org.modeshape.jboss.subsystem.AbstractRepositoryConfigWriteAttributeHandler
    - - org.modeshape.jboss.subsystem.IndexProviderWriteAttributeHandler

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler

      public class IndexProviderWriteAttributeHandler
      extends AbstractRepositoryConfigWriteAttributeHandler

  An `OperationStepHandler` implementation that handles changes to the model values for an index provider submodel's `attribute definitions`. Those attributes that can be changed `RESTART_NONE without restarting` will be immediately reflected in the repository's configuration; other attributes will be changed in the submodel and used upon the next restart.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.as.controller.AbstractWriteAttributeHandler

      `org.jboss.as.controller.AbstractWriteAttributeHandler.HandbackHolder<T>`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `changeField(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation, RepositoryService repositoryService, MappedAttributeDefinition defn, org.jboss.dmr.ModelNode newValue)`
    `protected String` | `providerName(org.jboss.dmr.ModelNode operation)`

    - ### Methods inherited from class org.modeshape.jboss.subsystem.AbstractRepositoryConfigWriteAttributeHandler

      `allBut, applyUpdateToRuntime, changeConfiguration, registerAttributes, repositoryName, revertUpdateToRuntime, unique`

    - ### Methods inherited from class org.jboss.as.controller.AbstractWriteAttributeHandler

      `execute, finishModelStage, getAttributeDefinition, requiresRuntime, validateResolvedValue, validateUnresolvedValue, validateUpdatedModel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### changeField

          protected boolean changeField(org.jboss.as.controller.OperationContext context,
                            org.jboss.dmr.ModelNode operation,
                            RepositoryService repositoryService,
                            MappedAttributeDefinition defn,
                            org.jboss.dmr.ModelNode newValue)
                                 throws RepositoryException,
                                        org.jboss.as.controller.OperationFailedException

      Overrides:
        `changeField` in class `AbstractRepositoryConfigWriteAttributeHandler`
      Throws:
        `RepositoryException`
        `org.jboss.as.controller.OperationFailedException`

    - #### providerName

          protected final String providerName(org.jboss.dmr.ModelNode operation)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.